Package org.apache.storm.hive.trident

## Class HiveStateFactory

- java.lang.Object
- - org.apache.storm.hive.trident.HiveStateFactory

- All Implemented Interfaces:
    `Serializable`, `StateFactory`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class HiveStateFactory
      extends Object
      implements StateFactory

  Deprecated, for removal: This API element is subject to removal in a future version.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HiveStateFactory()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `State` | `makeState​(Map<String,​Object> conf, IMetricsContext metrics, int partitionIndex, int numPartitions)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `HiveStateFactory` | `withOptions​(HiveOptions options)` | Deprecated, for removal: This API element is subject to removal in a future version. The options for connecting to Hive.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HiveStateFactory

          public HiveStateFactory()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### withOptions

          public HiveStateFactory withOptions​(HiveOptions options)

      Deprecated, for removal: This API element is subject to removal in a future version.
      The options for connecting to Hive.

    - #### makeState

          public State makeState​(Map<String,​Object> conf,
                                 IMetricsContext metrics,
                                 int partitionIndex,
                                 int numPartitions)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `makeState` in interface `StateFactory`